---
title: ScreenOrientation.angle
slug: Web/API/ScreenOrientation/angle
tags:
  - API
  - Orientation
  - Property
  - Reference
  - Screen Orientation API
  - ScreenOrientation
  - angle
---
<p>{{SeeCompatTable}}{{APIRef("Screen Orientation")}}</p>

<p>The <strong><code>angle</code></strong> read-only property of the {{domxref("ScreenOrientation")}} interface returns the document's current orientation angle.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">angle = ScreenOrientation.angle</pre>

<h3 id="Value">Value</h3>

<p>An unsigned short integer.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Orientation','#dom-screenorientation-angle','angle')}}</td>
   <td>{{Spec2('Screen Orientation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.ScreenOrientation.angle")}}</p>
</div>
